% This function computes the Bayes factor for the LNWS method. 
%
% Input
%  x -- observed wavelet coefficient
%  eps -- values of hyperparameter eps_j
%  b -- values of hyperparameter b
%
% Output
%  br -- posterior mean, shrunk version of observed wavelet coefficient
% -------------------------------------------------------------------------
function [br] = bayesrule_lnws_bf(x,eps,b)

f0 = 1/(gamma(3/2)*2^(3/2))*x^(1/2)*exp(-x/2);
m = b/sqrt(1+2*b)*exp(-b*x/(1+2*b))* (2*normcdf(sqrt(x/(1+2*b)))-1);
mar = eps*f0+(1-eps)*m;
p = eps*f0 / mar;

br = x*(p<0.5);  
    


